/*
 *  ======== Package.getLibs ========
 *  This function is called when a program's configuration files are
 *  being generated and it returns the name of a library appropriate
 *  for the program's configuration.
 */

function getLibs(prog)
{
    var name = this.$name + ".a" + prog.build.target.suffix;
    var lib = "";

    /* append "e" to lib name for big endian builds */
    name += (prog.build.target.model.endian == "little") ? "" : "e";

    var profile = ((this.profile + "").match(/whole_program/)) ?
        "release" : this.profile;
 
    lib = "lib/" + profile + "/" + name;

    if (java.io.File(this.packageBase + lib).exists()) {
        return lib;
    }

    /* could not find any library, return null */
    print("Error: Library not found: " + name);
    return null;
}

